¿Usas el nuevo Linux Kernel 3.3? ¡Actualiza al driver NVIDIA 295.33!

Linux nVidia Logos¿Usas el nuevo Linux Kernel 3.3 y tienes una tarjeta de video NVIDIA? Estoy seguro ya te diste cuenta que hay problemas de compatibilidad. Afortunadamente, acaba de ser liberado el nuevo driver 295.33, que soluciona dicha incompatibilidad.

Otras novedades del nuevo driver NVIDIA 295.33:

  • Agrega soporte para GeForce GTX 680, GeForce GT 630M y GeForce GT 620.
  • Soporte para NVIDIA 3D Vision y su emisor infrarrojo.
  • Corrección de un bug de VDPAU que ocasionaba corrupción y pobre desempeño en la decodificación H.264.
  • Corrección de otros diversos bugs.

[NVIDIA 295.33 instalado en Linux]

Descargas directas:

Instalación en Ubuntu (vía):

sudo apt-add-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current

Instalación en ArchLinux:

sudo pacman -Sy nvidia nvidia-utils

O si ya los tienes instalados, sólo actualiza (paquetes actualizados desde [extra]):

sudo pacman -Syu

Para saber si la instalación fue correcta (en cualquier distro), pueden usar la utilería nvidia-settings (captura de pantalla unos párrafos arriba), o bien, en la terminal usen:

glxinfo | grep OpenGL

Es todo, have fun! :-)

20 thoughts on “¿Usas el nuevo Linux Kernel 3.3? ¡Actualiza al driver NVIDIA 295.33!”

  1. Amigo sigo tu blog desde hace mucho, uso arch, y me es muy bueno, solo tengo un pequeño inconveniente que he buscado solucion (sin encontrarla) y me pregunto si de casualidad sabes como eliminar el Tearing (algo asi en español Lagrimeo) al reproducir videos, se que se debe a la Sincronizacion vertical. Tengo una nVidia GeForce GT 425m

    1. Hola Arnold, gracias por leer este humilde blog. Te confieso que es la primera vez que leo sobre el “tearing”. En la wiki de Arch hablan un poco sobre el tema, pero no estoy seguro si es lo que buscas.

      ¿Te sucede con cualquier reproductor de video? (prueba con VLC, SMPlayer, etc). ¿Te sucede en cualquier Desktop Environment? (podrías probar en GNOME, KDE, XFCE, etc). ¿Tienes compositing activado? Prueba desactivarlo. 

      1.  Ya lo probe en todo, de hecho hasta en Fedora (que es otra de mis distros favoritas) y nada, hemos instalado arch en laps con chips de video intel y esas no presentan problemas por eso pienso que es cosa de mi chip de video.

  2. entonces, si instalo el kernel 3.3 [de acá http://kernel.ubuntu.com/~kernel-ppa/ ] en xubuntu 11.10, con el ppa:ubuntu-x-swat/x-updates instala el driver de nvidia para el kernel 3.3, o hay que instalarlo desde el .run ¿?

    estoy en xubuntu y actualice al kernel v3.0.26-oneiric de esta pagina http://kernel.ubuntu.com/~kernel-ppa/mainline/ y pues al ser casi el mismo kernel que trae 11.10 pues no hay problema con el driver de nvidia, por cierto ya tengo el ppa de nvidia.

    no actualice al kernel 3.3 para no pelearme con el controlador de nvidia.

    1. Mi recomendación: Si te funciona tu configuración actual, ¿para qué cambiarla?

      A pesar de mi recomendación, si deseas tener las últimas versiones de ambos (kernel y driver nvidia), no debe existir problema alguno (en teoría, claro).

  3. Hola Gregorio,
    ?Has actualizado al kernel 3.3 en Arch? por casualidad no tendrás una laptop con una tarjeta de red Atheros ¿verdad?

          1.  Gracias a ti por el blog y por la ayuda que me has prestado multitud de veces.

            Saludos.

  4. hola, yo tengo la ultima version de ArchBang, pero tengo problemas con la instalacion de nvidia, alguien me podia explicar donde descargo los paquetes de Nvidia para el ArchBang y que utilizo el kernel 3.3

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>